/* AUTOGENERATED FILE. DO NOT EDIT. */

/*=======Automagically Detected Files To Include=====*/
#include "unity.h"
#include "cmock.h"
#ifndef TEST_INSTANCES
#define TEST_INSTANCES
#endif /* TEST_INSTANCES */
#include "stdint.h"
#include "mock_xtruntime.h"
#include "mock_xt_ioports.h"
#include "mock_bbe_test.h"
#include "mock_bbe_gpio.h"
#include "mock_hal.h"

/*=======External Functions This Runner Calls=====*/
extern void setUp(void);
extern void tearDown(void);
extern void test_bbe_test_init_is_called(void);
extern void test_main_function_success(void);


/*=======Mock Management=====*/
static void CMock_Init(void)
{
  mock_xtruntime_Init();
  mock_xt_ioports_Init();
  mock_bbe_test_Init();
  mock_bbe_gpio_Init();
  mock_hal_Init();
}
static void CMock_Verify(void)
{
  mock_xtruntime_Verify();
  mock_xt_ioports_Verify();
  mock_bbe_test_Verify();
  mock_bbe_gpio_Verify();
  mock_hal_Verify();
}
static void CMock_Destroy(void)
{
  mock_xtruntime_Destroy();
  mock_xt_ioports_Destroy();
  mock_bbe_test_Destroy();
  mock_bbe_gpio_Destroy();
  mock_hal_Destroy();
}

/*=======Test Reset Options=====*/
void resetTest(void);
void resetTest(void)
{
  tearDown();
  CMock_Verify();
  CMock_Destroy();
  CMock_Init();
  setUp();
}
void verifyTest(void);
void verifyTest(void)
{
  CMock_Verify();
}

/*=======Test Runner Used To Run Each Test=====*/
static void run_test(UnityTestFunction func, const char* name, UNITY_LINE_TYPE line_num)
{
    Unity.CurrentTestName = name;
    Unity.CurrentTestLineNumber = line_num;
#ifdef UNITY_USE_COMMAND_LINE_ARGS
    if (!UnityTestMatches())
        return;
#endif
    Unity.NumberOfTests++;
    UNITY_CLR_DETAILS();
    UNITY_EXEC_TIME_START();
    CMock_Init();
    if (TEST_PROTECT())
    {
        setUp();
        func();
    }
    if (TEST_PROTECT())
    {
        tearDown();
        CMock_Verify();
    }
    CMock_Destroy();
    UNITY_EXEC_TIME_STOP();
    UnityConcludeTest();
}

/*=======MAIN=====*/
int main(void)
{
  UnityBegin("test_bbe_impwire_irq.c");
  run_test(test_bbe_test_init_is_called, "test_bbe_test_init_is_called", 32);
  run_test(test_main_function_success, "test_main_function_success", 45);

  CMock_Guts_MemFreeFinal();
  return UnityEnd();
}
